All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.visuals
Class Wallpaper

    com.sas.visuals.Wallpaper

All Implemented Interfaces:
  ImageDataInterface, com.sas.visuals.PainterInterface, VisualAspects, java.awt.Shape, java.io.Serializable, java.lang.Cloneable

    public class Wallpaper

implements ImageDataInterface

See Also:
  Serialized Form

Field Summary
`protected java.awt.Image` | `_backgroundImage`
`protected int` | `_display`
`protected SerialImage` | `_image`
`static int` | `CENTER`
`static int` | `STRETCH`
`static int` | `TILE`

Fields inherited from class com.sas.visuals.Part
`_bg, _border, _borderStyle, _fg, _font, _parent, _transparent, _visible`

Fields inherited from interface com.sas.visuals.ImageDataInterface
`ImageDataChange`

Fields inherited from interface com.sas.visuals.VisualAspects
`BDR_BUMP, BDR_BUTTON_NORMAL, BDR_BUTTON_PRESSED, BDR_BUTTON_SELECTED, BDR_DIP, BDR_FIELD_BORDER, BDR_FLAT, BDR_FLAT_BORDER, BDR_GROUP_BORDER, BDR_NONE, BDR_RAISED, BDR_RAISED_INNER, BDR_RAISED_OUTER, BDR_STATUSFIELD_BORDER, BDR_SUNKEN, BDR_SUNKEN_INNER, BDR_SUNKEN_OUTER, BDR_WINDOW_BORDER, BS_NONE, BS_NORMAL, BS_PRESSED, BS_ROUND_NORMAL, BS_ROUND_PRESSED, BS_ROUND_SELECTED, BS_ROUNDEDGE_NORMAL, BS_ROUNDEDGE_PRESSED, BS_ROUNDEDGE_SELECTED, BS_SELECTED, CONTENTS_CENTER, CONTENTS_LEFT, CONTENTS_RIGHT, DEVELOPMENT, DOUBLE_BUFFERED, DT_CENTER, DT_LEFT, DT_OPAQUE, DT_RIGHT, DT_UNDERLINE, EAST, HORIZONTAL, NORTH, NORTH_EAST, NORTH_WEST, SHOW_IMAGE, SHOW_NONE, SHOW_TEXT, SOUTH, SOUTH_EAST, SOUTH_WEST, TEXT_CENTER, TEXT_EAST, TEXT_LEFT, TEXT_NORTH, TEXT_RIGHT, TEXT_SOUTH, TEXT_WEST, VERTICAL, WEST`

Constructor Summary
`Wallpaper()`
`Wallpaper(java.awt.Image image, int display)`
`Wallpaper(int display)`
`Wallpaper(java.lang.String filename, int display)`
`Wallpaper(java.net.URL url, int display)`

Method Summary
`protected void` | `centerImage(java.awt.Graphics g, java.awt.Image image)`
`protected java.awt.Image` | `createBackgroundImage()`
`protected java.awt.Image` | `getBackgroundImage(java.awt.Graphics g)`
`int` | `getDisplay()`
`java.awt.Image` | `getImage()`
`java.lang.Object` | `getImageLocation()`
`void` | `paint(java.awt.Component component, java.awt.Graphics g, int x, int y, int width, int height)`
`protected void` | `paintView(java.awt.Graphics g)` Called to paint the properties of the Part.
`void` | `setDisplay(int display)`
`void` | `setImage(byte[] imagedata, java.awt.Component component)`
`void` | `setImage(java.awt.Image image, java.awt.Component component)`
`void` | `setImage(java.io.InputStream imagedata, java.awt.Component component)`
`void` | `setImage(java.lang.String filename, java.awt.Component component)`
`void` | `setImage(java.net.URL url, java.awt.Component component)`
`protected void` | `stretchImage(java.awt.Graphics g, java.awt.Image image)`
`protected void` | `tileImage(java.awt.Graphics g, java.awt.Image image)`

Methods inherited from class com.sas.visuals.Part
`equals, getBackground, getBorder, getFont, getForeground, getInsets, getMaximumSize, getMinimumSize, getParent, getPreferredSize, getPreferredSize, getWindowBorderStyle, hashCode, isTransparent, isVisible, paint, paintBackground, printView, repaint, setBackground, setBorder, setFont, setForeground, setParent, setTransparent, setVisible, setWindowBorderStyle`

Field Detail

### _image

    protected SerialImage _image

### TILE

    public static final int TILE

See Also:
  Constant Field Values

### CENTER

    public static final int CENTER

See Also:
  Constant Field Values

### STRETCH

    public static final int STRETCH

See Also:
  Constant Field Values

### _display

    protected int _display

### _backgroundImage

    protected transient java.awt.Image _backgroundImage

Constructor Detail

### Wallpaper

    public Wallpaper()

### Wallpaper

    public Wallpaper(int display)

### Wallpaper

    public Wallpaper(java.awt.Image image,
                     int display)

### Wallpaper

    public Wallpaper(java.net.URL url,
                     int display)

### Wallpaper

    public Wallpaper(java.lang.String filename,
                     int display)

Method Detail

### paint

    public void paint(java.awt.Component component,
                      java.awt.Graphics g,
                      int x,
                      int y,
                      int width,
                      int height)

  Specified by:
    `paint` in interface `com.sas.visuals.PainterInterface`
  Overrides:
    `paint` in class `Part`

### paintView

    protected void paintView(java.awt.Graphics g)

  Description copied from class: `Part`
  Called to paint the properties of the Part. Components extending this class should overide this function to draw their specific properties.

  Overrides:
    `paintView` in class `Part`
  Parameters:
    `g` - the Graphics associated with the Part

### getBackgroundImage

    protected java.awt.Image getBackgroundImage(java.awt.Graphics g)

### createBackgroundImage

    protected java.awt.Image createBackgroundImage()

### tileImage

    protected void tileImage(java.awt.Graphics g,
                             java.awt.Image image)

### centerImage

    protected void centerImage(java.awt.Graphics g,
                               java.awt.Image image)

### stretchImage

    protected void stretchImage(java.awt.Graphics g,
                                java.awt.Image image)

### setDisplay

    public void setDisplay(int display)

### getDisplay

    public int getDisplay()

### getImage

    public java.awt.Image getImage()

  Specified by:
    `getImage` in interface `ImageDataInterface`

### setImage

    public void setImage(java.awt.Image image,
                         java.awt.Component component)

  Specified by:
    `setImage` in interface `ImageDataInterface`

### setImage

    public void setImage(java.net.URL url,
                         java.awt.Component component)

  Specified by:
    `setImage` in interface `ImageDataInterface`

### setImage

    public void setImage(java.lang.String filename,
                         java.awt.Component component)

  Specified by:
    `setImage` in interface `ImageDataInterface`

### setImage

    public void setImage(byte[] imagedata,
                         java.awt.Component component)

  Specified by:
    `setImage` in interface `ImageDataInterface`

### setImage

    public void setImage(java.io.InputStream imagedata,
                         java.awt.Component component)

  Specified by:
    `setImage` in interface `ImageDataInterface`

### getImageLocation

    public java.lang.Object getImageLocation()

  Specified by:
    `getImageLocation` in interface `ImageDataInterface`

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.